Page MenuHomeFreeBSD

Fix getsockopt() timeout.
ClosedPublic

Authored by davide on Jul 17 2014, 11:16 PM.

Details

Reviewers
davide
jhb
adrian

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

davide updated this revision to Diff 752.Jul 17 2014, 11:16 PM
davide retitled this revision from to Fix getsockopt() timeout..
davide updated this object.
davide edited the test plan for this revision. (Show Details)
davide added a reviewer: jhb.Jul 18 2014, 5:02 AM
jhb added inline comments.Jul 24 2014, 2:04 PM
sys/kern/uipc_socket.c
2550

This is to restore the behavior of r255030? This does do that, but it's not quite obvious. You could also do something like:

if (tv.tv_sec > INT32_MAX)
    val = SBT_MAX;
else
    val = tvtosbt(tv);

I think that might be clearer (and more closely match the prior behavior)

davide accepted this revision.Aug 20 2014, 3:37 PM
davide added a reviewer: davide.

committed

This revision is now accepted and ready to land.Aug 20 2014, 3:37 PM
davide closed this revision.Aug 20 2014, 3:37 PM